Package com.sun.speech.freetts.relp

# Class AudioOutput

java.lang.Object
com.sun.speech.freetts.relp.AudioOutput

All Implemented Interfaces:
  `UtteranceProcessor`

public class AudioOutput extends Object implements UtteranceProcessor
Supports generating audio output from an utterance. This is an utterance processor. The primary method, `procesUtterance` takes an utterance and hands it off to the LPCResult to be sent to the proper audio player.

See Also:
  - `LPCResult`

## Constructor Summary

Constructors
Constructor
Description
`AudioOutput()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Generates audio waves for the given Utterance.
`String`
`toString()`
Returns the string form of this object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AudioOutput

public AudioOutput()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Generates audio waves for the given Utterance. The audio data is decoded using the Linear Predictive Decoder

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to generate waves
Throws:
  `ProcessException` - if an IOException is thrown during the processing of the utterance
See Also:
  - `LPCResult`

### toString

public String toString()
Returns the string form of this object

Overrides:
  `toString` in class `Object`
Returns:
  the string form of this object